Skip to main content
GET
/
invoices
/
schedule
List schedules
curl --request GET \
  --url https://services.leadconnectorhq.com/invoices/schedule \
  --header 'Authorization: Bearer <token>' \
  --header 'Version: <version>'
{
  "schedules": [
    {
      "_id": "6578278e879ad2646715ba9c",
      "status": "draft",
      "liveMode": false,
      "altId": "6578278e879ad2646715ba9c",
      "altType": "location",
      "name": "New Invoice",
      "invoices": [
        {
          "_id": "6578278e879ad2646715ba9c",
          "status": "draft",
          "liveMode": false,
          "amountPaid": 0,
          "altId": "6578278e879ad2646715ba9c",
          "altType": "location",
          "name": "New Invoice",
          "businessDetails": {
            "name": "Alex",
            "address": {
              "addressLine1": "9931 Beechwood",
              "city": "St. Houston",
              "state": "TX",
              "countryCode": "USA",
              "postalCode": "559-6993"
            },
            "phoneNo": "+1-214-559-6993",
            "website": "www.example.com"
          },
          "invoiceNumber": "19",
          "currency": "USD",
          "contactDetails": {
            "id": "c6tZZU0rJBf30ZXx9Gli",
            "phoneNo": "+1-214-559-6993",
            "email": "alex@example.com",
            "customFields": [],
            "name": "Alex",
            "address": {
              "countryCode": "US"
            }
          },
          "issueDate": "2023-01-01",
          "dueDate": "2023-01-01",
          "invoiceItems": [
            {
              "taxes": [],
              "_id": "c6tZZU0rJBf30ZXx9Gli",
              "productId": "c6tZZU0rJBf30ZXx9Gli",
              "priceId": "c6tZZU0rJBf30ZXx9Gli",
              "currency": "USD",
              "name": "Macbook Pro",
              "qty": 1,
              "amount": 999
            }
          ],
          "total": 999,
          "title": "INVOICE",
          "amountDue": 999,
          "createdAt": "2023-12-12T09:27:42.355Z",
          "updatedAt": "2023-12-12T09:27:42.355Z",
          "discount": {
            "type": "percentage",
            "value": 0
          },
          "automaticTaxesEnabled": true,
          "automaticTaxesCalculated": true,
          "paymentSchedule": {}
        }
      ],
      "businessDetails": {
        "name": "Alex",
        "address": {
          "addressLine1": "9931 Beechwood",
          "city": "St. Houston",
          "state": "TX",
          "countryCode": "USA",
          "postalCode": "559-6993"
        },
        "phoneNo": "+1-214-559-6993",
        "website": "www.example.com"
      },
      "currency": "USD",
      "contactDetails": {
        "id": "c6tZZU0rJBf30ZXx9Gli",
        "phoneNo": "+1-214-559-6993",
        "email": "alex@example.com",
        "customFields": [],
        "name": "Alex",
        "address": {
          "countryCode": "US"
        }
      },
      "items": [
        {
          "taxes": [],
          "_id": "c6tZZU0rJBf30ZXx9Gli",
          "productId": "c6tZZU0rJBf30ZXx9Gli",
          "priceId": "c6tZZU0rJBf30ZXx9Gli",
          "currency": "USD",
          "name": "Macbook Pro",
          "qty": 1,
          "amount": 999
        }
      ],
      "total": 999,
      "title": "INVOICE",
      "termsNotes": "Confidential",
      "compiledTermsNotes": "Confidential",
      "createdAt": "2023-12-12T09:27:42.355Z",
      "updatedAt": "2023-12-12T09:27:42.355Z",
      "schedule": {
        "executeAt": "<string>",
        "rrule": {
          "intervalType": "monthly",
          "interval": 2,
          "startDate": "2023-01-01",
          "startTime": "20:45:00",
          "endDate": "2029-11-01",
          "endTime": "18:45:00",
          "dayOfMonth": 15,
          "dayOfWeek": "mo",
          "numOfWeek": -1,
          "monthOfYear": "jan",
          "count": 10,
          "daysBefore": 5,
          "useStartAsPrimaryUserAccepted": true,
          "endType": "by"
        }
      },
      "discount": {
        "type": "percentage",
        "value": 0
      }
    }
  ],
  "total": 100
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28

Query Parameters

altId
string
required

location Id / company Id based on altType

Example:

"6578278e879ad2646715ba9c"

altType
enum<string>
required

Alt Type

Available options:
location
Example:

"location"

status
string

status to be filtered

startAt
string

startAt in YYYY-MM-DD format

Example:

"2023-01-01"

endAt
string

endAt in YYYY-MM-DD format

Example:

"2023-01-01"

To search for an invoice by id / name / email / phoneNo

Example:

"Alex"

paymentMode
enum<string>

payment mode

Available options:
default,
live,
test
Example:

"live"

limit
string
required

Limit the number of items to return

Example:

10

offset
string
required

Number of items to skip

Example:

10

Response

Successful response

schedules
object[]
required
total
number
required

Total number of Schedules

Example:

100

Last modified on March 4, 2026